function setCheckBox(checkBoxID, dependedElements)
{
	var checkBox = document.getElementById(checkBoxID);
	if(checkBox.disabled == true)
	{
		return;
	}
	
	if(checkBox.checked)
	{
		checkBox.checked = false;
	}
	else
	{
		checkBox.checked = true;
	}

	disableArrayEntries(checkBoxID, dependedElements);
}

function updateHttpFields()
{
	disableArrayEntries('httpCheckBox', httpElms);
	updateCommonFields();
}

function updateHttpsFields()
{
	disableArrayEntries('httpsCheckBox', httpsElms);
	updateCommonFields();
	updateSenderCertCheck();
}

function updateSenderCertCheck()
{
	disableUsePartnerCert();
	updateArrayEntries('senderCertCheck', allHttpElms, false);
	updateHttpFields();
}

function disableElement(mainElmId, dependedElmId)
{
	disableArrayEntries(mainElmId, new Array(dependedElmId));
}

function updateCommonFields()
{
	disableGlobal('httpCheckBox', 'httpsCheckBox', globalElms);
}	

function disableGlobal(checkBoxID_1, checkBoxID_2, dependedElements)
{
	var checkBox_1 = document.getElementById(checkBoxID_1);
	var checkBox_2 = document.getElementById(checkBoxID_2);
	if(checkBox_1.checked && !checkBox_1.disabled)
	{
		disableArrayElements(dependedElements, false);
	}
	else if(checkBox_2.checked && !checkBox_2.disabled)
	{
		disableArrayElements(dependedElements, false);
	}
	else
	{
		disableArrayElements(dependedElements, true);
	}
}