
function setDisEnable(mainElmId, dependedElementId)
{
//		alert(mainElmId);
		var mainElm = document.getElementById(mainElmId);
		var dependedElement = document.getElementById(dependedElementId);
		

		if((mainElm != null) && (dependedElement != null))
		{
				
//				alert("TYPE: " + mainElm.type);
				var disabled = false;
				if(mainElm.type == "hidden")
				{
					disabled = mainElm.disabled;
//					alert(mainElmId + " DISABLED: " + mainElm.disabled);
				}
				else
				{
					disabled = !mainElm.checked;
				}
				
				dependedElement.disabled=disabled;
		}

}

function setDisEnableInit()
{
  var optionListe = document.getElementsByName("activeOption");
  if(optionListe)
  {
    for(var i = 0; i < optionListe.length; i++)
    {
      var optionElement = optionListe.item(i);
      setDisEnable(optionElement.id, optionElement.id + '_dependedElement');
      setDisEnable(optionElement.id, optionElement.id + '_dependedElement_cert');
    }
  }
}


function descendantControl(parentPath, extension)
{
  var parentElm = document.getElementById(parentPath);
  
  	var hiddenElm = false;
    var parentChecked = false;
	if(parentElm.type == "hidden")
	{
		hiddenElm = true;
		parentChecked = !parentElm.disabled;
	}
	else
	{
		parentChecked = parentElm.checked;
	}
				
  
  var optionListe = document.getElementsByName("activeOption");
  if(optionListe)
  {
    for(var i = 0; i < optionListe.length; i++)
    {
      var path = optionListe.item(i).id;
      var index = path.indexOf(parentPath);
      if(index == 0 && path.length != parentPath.length)
      {
        index = path.indexOf("/", parentPath.length + 1);
        var childPath;
        if(index == - 1)
        {
          childPath = path;
        }
        else
        {
          childPath = path.substring(0, index);
        }

//		alert("path: " + path + "\nparentPath: " + parentPath + "\nchildPath: " + childPath);
		
        var childElement = document.getElementById(childPath);
        if(parentChecked)
        {
	       	if(!hiddenElm)
	       	{
	       		childElement.disabled = false;
	       	}
        }
        else
        {
          childElement.checked = false;
          childElement.disabled = true;
        }
		
		if(extension != null && extension.length > 0)
		{
		  setDisEnable(childPath, (childPath + extension));        
        }
        descendantControl(childPath, extension);
      }
    }
  }
}

function descendantControlInit(extension)
{
  var optionListe = document.getElementsByName("activeOption");
  if(optionListe)
  {
    for(var i = 0; i < optionListe.length; i++)
    {
      var optionElement = optionListe.item(i);
      if(!optionElement.checked)
      {
        descendantControl(optionElement.id, extension);
      }
    }
  }
}