
var partnerLocalID;
var partnerNonLocalID;
var pageTYPE;

var emptyPageIsShown=1;
var actualTab=1;
var activePage=-1;
var nonActivePagePic="";
var activePagePic="";

function tabClick(tabNr, tabSrc, emptyTabSrc, tabLink)
{
	if(partnerLocalID == null || partnerLocalID == ""
        || partnerNonLocalID == null || partnerNonLocalID == "")
		 showClickedTabOrLink(tabNr, emptyTabSrc, tabLink);
	else
		 showClickedTabOrLink(tabNr, tabSrc, tabLink);
}

function setRadio(type)
{
  pageTYPE = type;
  initRadios();
  showSettingsPage();
}

function initEmptyPageIsShown()
{
 if(partnerLocalID == null || partnerLocalID == ""
        || partnerNonLocalID == null || partnerNonLocalID == "")
 {
   emptyPageIsShown = 1;
 }
 else
 {
   emptyPageIsShown = 0;
 }
}

function initRadios()
{
	var radios = document.getElementsByName('pageType');
	for(i=0;i<radios.length;i++)
	{
	 if(radios.item(i).value == pageTYPE)
	 {
		radios.item(i).checked=true;
		document.getElementById("radio_"+pageTYPE).className="radio_on";
	 }
	 else
	 {
	    radios.item(i).checked=false;
		document.getElementById("radio_"+radios.item(i).value).className="radio_off";
	 }
	}
}

function getAgreementDoc()
{
   if(parent != this && parent.document.getElementById('iframe') != null)
   {
    return parent.getAgreementDoc();
   }
   else
   {
   	return document;
   }
}

function setAgreementValidation(valid_boolean, link2ErrorPage)
{
	//alert("setAgreementValidation(" + valid_boolean + ", " + link2ErrorPage + ")");

    var aggreement_side;
    aggreement_side = getAgreementDoc();
    var img = aggreement_side.getElementById("agreement_failure_icon");
    var a = aggreement_side.getElementById("a_link2ErrorPage");
    var src = img ? img.src : undefined;

    if(!src) return;

	if(valid_boolean)
	{
	  img.src = src.replace("agreement_failure.gif", "agreement_ok.gif");
	  a.href = '';
	  a.style.visibility = "hidden";
	  //alert("IF: " + valid_boolean)
	}
	else
	{
	  img.src = src.replace("agreement_ok.gif", "agreement_failure.gif");
	  a.href = context + link2ErrorPage;
	  a.style.visibility = "visible";
	  //alert("ELSE: " + valid_boolean)
	}
}

function getRemotePartnersForSelectedPartner()
{
  var localObj = document.getElementById('localID');
  partnerLocalID = localObj.options[localObj.options.selectedIndex].value;

  var link;
  if(pageTYPE=="send")
  {
    link="partnerAgreement/ShowPartnersAgreement.do?pageConfigType=show&localID="+partnerLocalID+"&pageConfigType=show&pageType="+pageTYPE;
  }
  else if(pageTYPE=="receive")
  {
    link="partnerAgreement/ShowPartnersAgreement.do?pageConfigType=show&localID="+partnerLocalID+"&pageConfigType=show&pageType="+pageTYPE;
  }
  else if(pageTYPE=="global")
  {
    link="partnerAgreement/ShowPartnersAgreement.do?pageConfigType=show&localID="+partnerLocalID+"&pageConfigType=show&pageType="+pageTYPE+"&tabName=schemasets&schemasets=true";
  }

  goTo(link);
}

function showAgreement4ChangedPartner()
{
	var localObj=document.getElementById('localID');
	var nonLocalObj=document.getElementById('nonLocalID');

	partnerLocalID=localObj.options[localObj.options.selectedIndex].value;
	partnerNonLocalID=nonLocalObj.options[nonLocalObj.options.selectedIndex].value;

	var userLink = 'partnerAgreement/ShowAgreement4ChangedPartner.do?localID='+partnerLocalID+'&nonLocalID='+partnerNonLocalID+'&pageConfigType=show&pageType='+pageTYPE;

	 if(partnerLocalID==null || partnerLocalID=="" || partnerNonLocalID==null || partnerNonLocalID=="")
	 {
	   if(emptyPageIsShown==1)
	   {
	 	 /* the empty page is already shown */
	   }
	   else
	   {
         emptyPageIsShown=1;
         switchTab(1);
         showSettingsPage();
	 	}
	 }
	 else
	 {
	 	emptyPageIsShown=0;
		goTo(userLink);
	 }
}

function showPartnerAgreement(){
	//alert("showPartnerAgreement");
	var localObj=document.getElementById('localID');
	var nonLocalObj=document.getElementById('nonLocalID');

	partnerLocalID=localObj.options[localObj.options.selectedIndex].value;
	partnerNonLocalID=nonLocalObj.options[nonLocalObj.options.selectedIndex].value;

	 if(partnerLocalID==null || partnerLocalID=="" || partnerNonLocalID==null || partnerNonLocalID=="")
	 {
	   if(emptyPageIsShown==1)
	   {
	 	 /* the empty page is already shown */
	   }
	   else
	   {
         emptyPageIsShown=1;
         switchTab(1);
         showSettingsPage();
	 	}
	 }
	 else
	 {
	   emptyPageIsShown=0;
    switchTab(1);
      showSettingsPage();
   }
}

function showSettingsPage()
{
  var radios = document.getElementsByName('pageType');
  for(i=0;i<radios.length;i++)
  {
     if(radios.item(i).checked)
     {
        pageTYPE = radios.item(i).value;
        document.getElementById("radio_"+pageTYPE).className="radio_on";
     }else{
        document.getElementById("radio_"+radios.item(i).value).className="radio_off";
     }
  }

  var src, link;
  if(pageTYPE=="send")
  {
    src="ShowTab_Communication.do?localID="+partnerLocalID+"&nonLocalID="+partnerNonLocalID+"&pageType="+pageTYPE;
    link="partnerAgreement/ShowPartnersAgreement.do?localID="+partnerLocalID+"&nonLocalID="+partnerNonLocalID+"&pageConfigType=show&pageType="+pageTYPE;
  }
  else if(pageTYPE=="receive")
  {
    src="ShowTab_Communication.do?localID="+partnerLocalID+"&nonLocalID="+partnerNonLocalID+"&pageType="+pageTYPE;
    link="partnerAgreement/ShowPartnersAgreement.do?localID="+partnerLocalID+"&nonLocalID="+partnerNonLocalID+"&pageConfigType=show&pageType="+pageTYPE;
  }
  else if(pageTYPE=="global")
  {
    src="ShowTab_Global.do?localID="+partnerLocalID+"&nonLocalID="+partnerNonLocalID+"&pageType="+pageTYPE+"&schemasets=true";
    link="partnerAgreement/ShowPartnersAgreement.do?localID="+partnerLocalID+"&nonLocalID="+partnerNonLocalID+"&pageConfigType=show&pageType="+pageTYPE+"&tabName=schemasets&schemasets=true";
  }

  showClickedTabOrLink(0, src, link);
}


function agreementTabClick(tabNr, tabSrc, emptyTabSrc, tabLink)
{
  //alert("localId="+partnerLocalID+"; nonLocalId="+partnerNonLocalID);
 actualTab=tabNr;

   if(partnerLocalID=="" || partnerNonLocalID=="")
   {
      if(emptyPageIsShown==1)
      {
        /* the empty page is already shown */
      }
      else
      {
        emptyPageIsShown=1;
        setAgreementValidation(true, "../img");
        showClickedTabOrLink(tabNr, tabSrc, tabLink);
      }
   }
   else
   {
      emptyPageIsShown=0;
      showClickedTabOrLink(tabNr, tabSrc, tabLink);
   }
}


function setActiveImg(img_id)
{
  var img=document.getElementsByName("activeTabImg");
  var active_img=document.getElementById(img_id);

  if(img && img.length > 0)
  {
    var newSrc="nix";
    var oldSrc=img.item(0).src;
    var index=oldSrc.lastIndexOf("/");
    if(index != -1)
    {
      newSrc=oldSrc.substring(0, index)+"/";
    }
    for(i=0;i<img.length;i++)
    {
      img.item(i).src=newSrc+nonActivePagePic;
      img.item(i).height=1;
      img.item(i).width=1;
    }
    if(active_img)
    {
      active_img.src=newSrc+activePagePic;
      active_img.height=10;
      active_img.width=10;
    }
  }

}

/*
function showActivePage(activePg)
{
  //alert("showactivePage!!!");
  //alert("activePage?: "+activePg);
  img=document.getElementsByName("activeTabImg");
  if(img)
  {
    var newSrc="nix";
    var oldSrc=img.item(0).src;
    var index=oldSrc.lastIndexOf("/");
    if(index != -1)
    {
      newSrc=oldSrc.substring(0, index)+"/";
    }
    //alert("newSrc: "+newSrc);
    for(i=0;i<img.length;i++)
    {
      img.item(i).src=newSrc+nonActivePagePic;
      img.item(i).height=1;
      img.item(i).width=1;
    }
    if(activePg != -1)
    {
      img.item(activePg-1).src=newSrc+activePagePic;
      img.item(activePg-1).height=10;
      img.item(activePg-1).width=10;
    }
  }
  else if(activeTabImg)
  {
    var newSrc="nix";
    var oldSrc=activeTabImg.item(activePg-1).src;
    var index=oldSrc.lastIndexOf("/");
    if(index != -1)
    {
      newSrc=oldSrc.substring(0, index)+"/";
    }
    for(i=0;i<activeTabImg.length;i++)
    {
      activeTabImg.item(i).src=newSrc+nonActivePagePic;
      activeTabImg.item(i).height=1;
      activeTabImg.item(i).width=1;
    }
    if(activePg != -1)
    {
      activeTabImg.item(activePg-1).src=newSrc+activePagePic;
      activeTabImg.item(activePg-1).height=10;
      activeTabImg.item(activePg-1).width=10;
    }
  }
}
*/
