
var popUpWin = null;

function clickCheckBox(id)
{
	var checkBox = document.getElementById(id);
	if(checkBox)
	{
		if(!checkBox.disabled)
		{
			checkBox.checked = !checkBox.checked;
		}
	}
}

function clickRadio(radioID)
{
	var radio = document.getElementById(radioID);
	if(!radio.checked)
	{
		radio.checked = true;
	}
}

function getSelectedRadioValue(radioName)
{
	var radios = document.getElementsByName(radioName);
	for (i = 0; i < radios.length; ++i)
	{
	 	if(radios[i].checked)
	 	{
	 		return radios[i].value;
	 	}
	}
	
	return -1; 
}

function popUpWindow(URLStr, left, top, width, height)
{
  if(popUpWin != null)
  {
    closePopUpWindow();
  }
  popUpWin = window.open(URLStr, 'popUpWin', 'dependent=yes, toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,copyhistory=yes,width='+width+',height='+height+',left='+left+', top='+top+',screenX='+left+',screenY='+top+'');
  popUpWin.focus();
}

function closePopUpWindow()
{
	if(popUpWin != null)
	{
		if(isOpera())
		{
			if(popUpWin.toString().indexOf("object Object") == -1) // for Opera
			{
			  popUpWin.close();
			}
		}
		else
		{
			popUpWin.close();
		}
	}
	
	popUpWin = null;
}

function isIE()
{
	var browsName = navigator.appName;
	var useragent = navigator.userAgent;
	var browsVer = parseInt(navigator.appVersion);

	return (browsName == "Microsoft Internet Explorer" && (useragent.indexOf("Opera") == -1));
}

function isOpera()
{
	var browsName = navigator.appName;
	var useragent = navigator.userAgent;
	var browsVer = parseInt(navigator.appVersion);

	return ((browsName == "Opera") || (useragent.indexOf("Opera") != -1));
}


function disableEntry(checkBoxId, elementId, trueOfFalse)
{
	var checkBox = document.getElementById(checkBoxId);
	if(checkBox.checked && !checkBox.disabled)
	{
		disableElementForId(elementId, !trueOfFalse);
	}
	else
	{
		disableElementForId(elementId, trueOfFalse);
	}
}

function disableElementForId(elementId, trueOrFalse)
{
	var element = document.getElementById(elementId);

	if(trueOrFalse == true)
 	{
 		element.disabled = true;
 	}
 	else
 	{
 		element.disabled = false;
 	}
}



function deselectElement(elementName)
{
	selectListenersMode(-1, elementName);
}

function selectElement(nr, elementName)
{
	var elements = document.getElementsByName(elementName);
	var i = 0;
	 for (i = 0; i < elements.length; ++i)
	 {
	 	if(i == (nr - 1))
	 	{
	 		elements[i].checked = true;
	 	}
	 	else
	 	{
	 		elements[i].checked = false;
	 	}
	 }
}

function checkAllCheckboxes(checkBoxesName, trueOrFalse)
{
	var elements = document.getElementsByName(checkBoxesName);
	for(var k = 0; k < elements.length; k++)
	{
		var element = elements.item(k);
		element.checked = trueOrFalse;
	}
}

function disableElements(elementName, trueOrFalse)
{
	var elements = document.getElementsByName(elementName);
	var i = 0;
	for (i = 0; i < elements.length; ++i)
	{
		if(trueOrFalse == true)
	 	{
	 		elements[i].disabled = true;
	 	}
	 	else
	 	{
	 		elements[i].disabled = false;
	 	}
	}
}


function disableEntries(checkBoxId, elementName)
{
	var checkBox = document.getElementById(checkBoxId);
	if(checkBox.checked && !checkBox.disabled)
	{
		disableElements(elementName, false);
	}
	else
	{
		disableElements(elementName, true);
	}
}

function disableArrayElements(elementIdArray, trueOrFalse)
{
	for (var i = 0; i < elementIdArray.length; i++)
	{
		var element = document.getElementById(elementIdArray[i]);
		if(trueOrFalse == true)
	 	{
	 		element.disabled = true;
	 	}
	 	else
	 	{
	 		element.disabled = false;
	 	}
	}
}

function checkAllCheckBoxes(array, trueOrFalse)
{
	for (var i = 0; i < array.length; ++i)
	{
		var checkBox = document.getElementById(array[i]);
		if(!checkBox.disabled)
		{
			checkBox.checked = trueOrFalse;
		}
	}
}

function disableArrayEntries(checkBoxId, array)
{
	updateArrayEntries(checkBoxId, array, true);
}

function updateArrayEntries(checkBoxId, array, trueOrFalse)
{
	var checkBox = document.getElementById(checkBoxId);
	if(checkBox.checked && !checkBox.disabled)
	{
		disableArrayElements(array, !trueOrFalse);
	}
	else
	{
		disableArrayElements(array, trueOrFalse);
	}
}

function toogleVisibilityForElementId(elementId, trueOrFalse)
{
	toggleVisibility(document.getElementById(elementId), trueOrFalse);
}

function toggleVisibility(element, show)
{
    if(show)
    {
        element.style.display = '';
    }
    else
    {
        element.style.display = 'none';
    }
}

function reload(milliseconds, url)
{
	var newLocation = url;
	if(url == null || url.length == 0)
	{
		newLocation = window.location;
	}

	window.setTimeout("reloadThePage(\"" + newLocation + "\")", milliseconds);
}

function reloadThePage(url)
{
	window.location = url;
}

function setclassname(element, classname)
{
	element.className = classname;
}

function setclassname4ArrayElmntIds(array, classname)
{
	for (var i = 0; i < array.length; ++i)
	{
		var element = document.getElementById(array[i]);
		setclassname(element, classname);
	}
}

function setclassname4ArrayElmntNames(array, classname)
{
	for (var i = 0; i < array.length; ++i)
	{
		var elements = document.getElementsByName(array[i]);
		for(var k = 0; k < elements.length; k++)
		{
			var element = elements.item(k);
			setclassname(element, classname);
		}
	}
}

/* UTIL */
function isIE()
{
	/* DETERMINE BROWSER */
	var browsName = navigator.appName;
	var browsVer = parseInt(navigator.appVersion);
	var userAgent = navigator.userAgent;

	return (browsName == "Microsoft Internet Explorer" && userAgent.indexOf("Opera") < 0);
}

function containsString(string1, string2)
{
	if(string1.indexOf(string2) != -1)
	{
		return true;
	}
	else
	{
		return false;
	}
}

function getSelectedValue(select)
{
	var index = select.selectedIndex;
	return select.options[index].value;
}

function stringEqual(string1, string2)
{
	return string1 == string2;
}

/* AJAX UTIL */
function getRequestParameter(form)
{
  var qs = '';
  for(var i=0;i<form.length;i++)
  {
  	var e = form[i];
  	var eNodeName = e.nodeName;
  	var eType = e.type;
  	
	if(((!e.disabled) || (e.disabled == 'false')) && e.name.length > 0)
	{
	  	if(e.type && (stringEqual(eType, 'checkbox') || stringEqual(eType, 'CHECKBOX')) && (e.checked || e.checked == 'true'))
	  	{
	  		qs += escape(e.name) + '=' + escape(e.value) + "&";
	  	}
	  	else if(e.type && (stringEqual(eType, 'image') || stringEqual(eType, 'IMAGE')))
	  	{
	  		qs += escape(e.name) + '=' + escape(e.value) + "&";
	  	}
	  	else if(e.type && (stringEqual(eType, 'HIDDEN') || stringEqual(eType, 'hidden')))
	  	{
	  		qs += escape(e.name) + '=' + escape(e.value) + "&";
	  	}
	    else if(stringEqual(eNodeName, 'SELECT') || stringEqual(eNodeName, 'select'))
	    {
	      qs += escape(e.name) + '=' + escape(getSelectedValue(e)) + "&";
	    }
    }	
  }  
  if(submitSrcName != null)
  {
  	qs += submitSrcName + ".x=" + submitX + "&";
  	qs += submitSrcName + ".y=" + submitY + "&";
  }  
  
  return qs;
}
	
function buildRequestURL(form)
{
	var qs = '?' + getRequestParameter(form);
	var action = form.action;
	action = action.substring(action.indexOf('/private'), action.length);
	return action + qs;
}

function buildRequestURLforAction(form, action)
{
	var qs = '?' + getRequestParameter(form);
	return action + qs;
}
	
	
var submitSrcName = null;
var submitX = -1;
var submitY = -1;

function setSubmitSrcName(element)
{
	if(element && element.name)
	{
		submitSrcName = element.name;
	}
	else
	{
		submitSrcName = null;
	}
}

function initializeSubmitInput()
{
	var inputs = document.getElementsByTagName("input");
	if(inputs)
	{
		for(var i=0;i<inputs.length;i++)
		{
			var input = inputs[i];
			if(input.type == "image")
			{
			    setSubmitSrcNameAttribute(input);
			}
		}			
	}
}

function setSubmitSrcNameAttribute(input)
{
	var onclick = '';
	if(input.getAttributeNode("onclick"))
	{
	 	onclick = input.getAttributeNode("onclick").nodeValue;
	}
	if(onclick == null || !containsString(onclick, "inputOnclick"))
	{
		if(isIE())
		{
			var attrContent = getOnclickContent(input);
			input.setAttribute("onclick", attrContent);
		}
		else
		{
			input.setAttribute("onclick", onclick + "; setSubmitSrcName(this);");
		}
	}	
}

function getOnclickContent(input)
{
	var onclickContent = new Function(input.getAttributeNode("onclick").nodeValue + "; setSubmitSrcName(this);");
	return onclickContent;
}